QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    comdel/display/dialog/attribute_dialog.cpp \
    comdel/display/dialog/error_dialog.cpp \
    comdel/display/dialog/generic_dialog.cpp \
    comdel/display/dialog/memory_dialog.cpp \
    comdel/display/dialog/name_dialog.cpp \
    comdel/display/dialog/single_automatic_dialog.cpp \
    comdel/display/dialog/success_dialog.cpp \
    comdel/display/dialog/warning_dialog.cpp \
    comdel/display/component_display.cpp \
    comdel/display/library_display.cpp \
    comdel/display/library_list.cpp \
    comdel/display/schema_display.cpp \
    comdel/domain/address_space.cpp \
    comdel/domain/attribute.cpp \
    comdel/domain/bus.cpp \
    comdel/domain/comdel_generator.cpp \
    comdel/domain/comdel_validator.cpp \
    comdel/domain/component.cpp \
    comdel/domain/connection.cpp \
    comdel/domain/connection_instance.cpp \
    comdel/domain/display.cpp \
    comdel/domain/function_signature.cpp \
    comdel/domain/instance.cpp \
    comdel/domain/instance_attribute.cpp \
    comdel/domain/library.cpp \
    comdel/domain/pin.cpp \
    comdel/domain/rule.cpp \
    comdel/domain/schema.cpp \
    comdel/domain/schema_creator.cpp \
    comdel/domain/value.cpp \
    comdel/parser/ast_nodes.cpp \
    comdel/parser/comdel_lexer.cpp \
    comdel/parser/comdel_parser.cpp \
    comdel/parser/parse_context.cpp \
    comdel/parser/parser_util.cpp \
    comdel/parser/source_error.cpp \
    comdel/parser/token.cpp \
    comdel/parser/tokens_type.cpp \
    application.cpp \
    main.cpp \
    message_source.cpp \
    mainwindow.cpp

HEADERS += \
    comdel/display/dialog/attribute_dialog.h \
    comdel/display/dialog/error_dialog.h \
    comdel/display/dialog/generic_dialog.h \
    comdel/display/dialog/memory_dialog.h \
    comdel/display/dialog/name_dialog.h \
    comdel/display/dialog/single_automatic_dialog.h \
    comdel/display/dialog/success_dialog.h \
    comdel/display/dialog/warning_dialog.h \
    comdel/display/component_display.h \
    comdel/display/library_display.h \
    comdel/display/library_list.h \
    comdel/display/schema_display.h \
    comdel/domain/address_space.h \
    comdel/domain/attribute.h \
    comdel/domain/bus.h \
    comdel/domain/comdel_generator.h \
    comdel/domain/comdel_validator.h \
    comdel/domain/component.h \
    comdel/domain/connection.h \
    comdel/domain/connection_instance.h \
    comdel/domain/display.h \
    comdel/domain/function_signature.h \
    comdel/domain/instance.h \
    comdel/domain/instance_attribute.h \
    comdel/domain/library.h \
    comdel/domain/pin.h \
    comdel/domain/rule.h \
    comdel/domain/schema.h \
    comdel/domain/schema_creator.h \
    comdel/domain/value.h \
    comdel/parser/ast_nodes.h \
    comdel/parser/comdel_lexer.h \
    comdel/parser/comdel_parser.h \
    comdel/parser/expected.h \
    comdel/parser/parse_context.h \
    comdel/parser/parser_util.h \
    comdel/parser/poly.h \
    comdel/parser/presult.h \
    comdel/parser/source_error.h \
    comdel/parser/token.h \
    comdel/parser/tokens_type.h \
    message_source.h \
    mainwindow.h

FORMS += \
    mainwindow.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
