#include <QVBoxLayout>
#include <QLabel>
#include <QPushButton>
#include "success_dialog.h"
#include "message_source.h"

namespace display {

    SuccessDialog::SuccessDialog(std::string message) {
        setLayout(new QVBoxLayout());
        setWindowTitle(QMESSAGE("msg_dialog_success_title"));
        layout()->addWidget(new QLabel(QString::fromStdString(message)));

        auto button = new QPushButton(QMESSAGE("msg_dialog_actions_ok"));
        connect(button, &QPushButton::clicked, [this]() {accept();});
        layout()->addWidget(button);
    }

} // display