#ifndef COMDEL_GENERATOR_H
#define COMDEL_GENERATOR_H

#include <sstream>
#include "schema.h"
#include "library.h"

namespace domain {

    void generate_schema(std::string &librarySource, Schema *schema, std::ostream &buffer);

    void generate_comdel(Schema *schema, Library &library, std::ostream &buffer);

} // domain

#endif //COMDEL_GENERATOR_H
