#ifndef SCHEMEEDITOR_ERROR_DIALOG_H
#define SCHEMEEDITOR_ERROR_DIALOG_H

#include "generic_dialog.h"
#include "comdel/domain/comdel_validator.h"
#include <sstream>


namespace display {

    class ErrorDialog : public GenericDialog {
    public:
        ErrorDialog(std::vector<domain::ValidationError> errors);
        ErrorDialog(std::ostringstream& errorStream);

    protected:
        bool onUpdate() override { return true; }
    };

} // display

#endif //SCHEMEEDITOR_ERROR_DIALOG_H
