#ifndef SCHEMEEDITOR_MEMORY_DIALOG_H
#define SCHEMEEDITOR_MEMORY_DIALOG_H

#include <QComboBox>
#include "generic_dialog.h"
#include "comdel/domain/instance_attribute.h"
#include "comdel/domain/instance.h"


namespace display {

    class MemoryDialog : public GenericDialog {
    public:
        MemoryDialog(std::string title, std::string action, domain::InstanceAttribute *attribute,
                     std::vector<std::shared_ptr<domain::ComponentInstance>> instances);

    protected:
        bool onUpdate() override;

    private:
        QComboBox *setupEnumeration();

        domain::Value value;
        domain::InstanceAttribute *attributeValue;
        std::vector<std::string> memoryInstances;

        domain::Popup popup;
    };


} // display

#endif //SCHEMEEDITOR_MEMORY_DIALOG_H
