#ifndef PARSER_UTIL_H
#define PARSER_UTIL_H

#include "ast_nodes.h"
#include "parse_context.h"

std::optional<LibraryNode> load_library_from_file(ParseContext *parseContext,
                                                  const char *name,
                                                  std::ostream &stream);

std::optional<SchemaNode> load_schema_from_file(ParseContext *parseContext,
                                                const char *name,
                                                std::ostream &stream);

#endif // PARSER_UTIL_H
